/*----------------------------------------------------------
*                                      
*    __  __                      
*   | | / /__  __ _____    ___    __   _____  ___
*   |  / / \ \/ //     \  /   \ /`__'\|  __| /   \
*   |  \ \  \  // /| |\ \|  O  |  ___/| |  `|  O  | 
*   |_| \_\  |_|_/ |_| \_\\_/|_|\___\ |_|    \_/|_|
*                  
*
*   Kymaera (c) 2004 
*	Universal Arcade Cabinet Front End
*
*	Steve Hernandez: steveh@crosslink.net 
*   Windows, Linux and Dos version
*   See the Readme.txt and License.txt for more information          
*
*
* -----------------------------------------------------------
*/
#ifndef KYMAERA_BITMAP
#define KYMAERA_BITMAP



#include "allegro.h"
#include "mmdd.h"
#include "memory.h"
#include "string.h"


class KYBitmap
{
public:
	char m_filename[1024];
	bool isloaded;
	bool ismovie;
	bool loop;
	//int m_width;
//	int m_height;
	BITMAP *m_pSurf;

	KYBitmap(void){
		memset(this,0,sizeof(KYBitmap));	
	}
	~KYBitmap(void){
		Release();
	}
	


	bool Load(char *filename);
	//void AddRef();
	void Release();
	void Pause(long pausetime);
	void Restore(long restoretime);
	void StretchBestFit(KYRect *dst,long alpha);
	void StretchBestFitRotated(BITMAP *bm,KYRect *dst,float angle);
	void StretchBestFitTrans(KYRect *dst,long trcolor);
	int Width(){return m_pSurf->w;}
	int Height(){return m_pSurf->h;}
	
};
#endif
