/*----------------------------------------------------------
*                                      
*    __  __                      
*   | | / /__  __ _____    ___    __   _____  ___
*   |  / / \ \/ //     \  /   \ /`__'\|  __| /   \
*   |  \ \  \  // /| |\ \|  O  |  ___/| |  `|  O  | 
*   |_| \_\  |_|_/ |_| \_\\_/|_|\___\ |_|    \_/|_|
*                  
*
*   Kymaera (c) 2004 
*	Universal Arcade Cabinet Front End
*
*	Steve Hernandez: steveh@crosslink.net 
*   Windows, Linux and Dos version
*   See the Readme.txt and License.txt for more information          
*
*
* -----------------------------------------------------------
*/

#ifndef LISTITEM1
#define LISTITEM1


#include <memory.h>

class Listitem{
public:    
    Listitem *next,*prev;
	void *data;
	Listitem(){
		next =0;
		prev =0;
		data =0;
	};
	~Listitem(){}
};
class List{
public:
	Listitem *list,*lastitem;
	//last item implementation would really speed things up
	long numelements;
	List();
	~List();
	bool MoveItemUp(void *item);
	bool MoveItemDown(void *item);

	bool List::Add(void *item);
	bool List::InList(void *item);
	bool List::Remove(void *item);
	bool List::Remove(int idx);
	void List::Destroy();
	int List::Count();
	void *List::GetItem(int index);
	Listitem * List::GetListitem(int index);

	int List::GetItemIndex(void *item);
};
#endif 
